From b4e93c20c8bd1f98ce5af5e770f604495489c195 Mon Sep 17 00:00:00 2001
From: Cristiano Alpigiani <cristiano.alpigiani@cern.ch>
Date: Wed, 6 Jan 2021 12:59:46 +0100
Subject: [PATCH] Adding T0 MT chain tests for PHYS, PHYLITE, PHYSVAL to master

This MR is to add T0 MT chain tests for PHYS, PHYLITE, PHYSVAL to master. Tests are based on the 21.2/AthDerivation ART tests.
---
 .../test/test_data18PHYSLITE_mt.sh            | 27 +++++++++++++++++++
 .../test/test_data18PHYSVAL_mt.sh             | 27 +++++++++++++++++++
 .../test/test_data18PHYS_mt.sh                | 27 +++++++++++++++++++
 .../test/test_mc16PHYSLITE_mt.sh              | 27 +++++++++++++++++++
 .../test/test_mc16PHYSVAL_mt.sh               | 27 +++++++++++++++++++
 .../Tier0ChainTests/test/test_mc16PHYS_mt.sh  | 27 +++++++++++++++++++
 6 files changed, 162 insertions(+)
 create mode 100755 Tools/Tier0ChainTests/test/test_data18PHYSLITE_mt.sh
 create mode 100755 Tools/Tier0ChainTests/test/test_data18PHYSVAL_mt.sh
 create mode 100755 Tools/Tier0ChainTests/test/test_data18PHYS_mt.sh
 create mode 100755 Tools/Tier0ChainTests/test/test_mc16PHYSLITE_mt.sh
 create mode 100755 Tools/Tier0ChainTests/test/test_mc16PHYSVAL_mt.sh
 create mode 100755 Tools/Tier0ChainTests/test/test_mc16PHYS_mt.sh

diff --git a/Tools/Tier0ChainTests/test/test_data18PHYSLITE_mt.sh b/Tools/Tier0ChainTests/test/test_data18PHYSLITE_mt.sh
new file mode 100755
index 00000000000..6e92425f2c9
--- /dev/null
+++ b/Tools/Tier0ChainTests/test/test_data18PHYSLITE_mt.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# art-include: master/Athena
+# art-description: DAOD building PHYSLITE data18
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile.txt
+# art-output: checkxAOD.txt
+# art-athena-mt: 8
+
+set -e
+
+Reco_tf.py --inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/DerivationFrameworkART/data18_13TeV.00364292.physics_Main.merge.AOD.f1002_m2037._lb0163._0006.1 --outputDAODFile art.pool.root --reductionConf PHYSLITE --maxEvents -1 --multithreaded="True" --preExec 'rec.doApplyAODFix.set_Value_and_Lock(True); from BTagging.BTaggingFlags import BTaggingFlags;BTaggingFlags.CalibrationTag = "BTagCalibRUN12Onl-08-49"; from AthenaCommon.AlgSequence import AlgSequence; topSequence = AlgSequence(); topSequence += CfgMgr.xAODMaker__DynVarFixerAlg( "InDetTrackParticlesFixer", Containers = [ "InDetTrackParticlesAux." ] )' 
+
+echo "art-result: $? reco"
+
+DAODMerge_tf.py --inputDAOD_PHYSLITEFile DAOD_PHYSLITE.art.pool.root --outputDAOD_PHYSLITE_MRGFile art_merged.pool.root
+
+echo "art-result: $? merge"
+
+checkFile.py DAOD_PHYSLITE.art.pool.root > checkFile.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_PHYSLITE.art.pool.root > checkxAOD.txt
+
+echo "art-result: $?  checkxAOD"
diff --git a/Tools/Tier0ChainTests/test/test_data18PHYSVAL_mt.sh b/Tools/Tier0ChainTests/test/test_data18PHYSVAL_mt.sh
new file mode 100755
index 00000000000..4de83121928
--- /dev/null
+++ b/Tools/Tier0ChainTests/test/test_data18PHYSVAL_mt.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# art-include: master/Athena
+# art-description: DAOD building PHYSVAL data18
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile.txt
+# art-output: checkxAOD.txt
+# art-athena-mt: 8
+
+set -e
+
+Reco_tf.py --inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/DerivationFrameworkART/data18_13TeV.00364292.physics_Main.merge.AOD.f1002_m2037._lb0163._0006.1 --outputDAODFile art.pool.root --reductionConf PHYSVAL --maxEvents -1 --multithreaded="True" --preExec 'rec.doApplyAODFix.set_Value_and_Lock(True); from BTagging.BTaggingFlags import BTaggingFlags;BTaggingFlags.CalibrationTag = "BTagCalibRUN12Onl-08-49"; from AthenaCommon.AlgSequence import AlgSequence; topSequence = AlgSequence(); topSequence += CfgMgr.xAODMaker__DynVarFixerAlg( "InDetTrackParticlesFixer", Containers = [ "InDetTrackParticlesAux." ] )' 
+
+echo "art-result: $? reco"
+
+DAODMerge_tf.py --inputDAOD_PHYSVALFile DAOD_PHYSVAL.art.pool.root --outputDAOD_PHYSVAL_MRGFile art_merged.pool.root
+
+echo "art-result: $? merge"
+
+checkFile.py DAOD_PHYSVAL.art.pool.root > checkFile.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_PHYSVAL.art.pool.root > checkxAOD.txt
+
+echo "art-result: $?  checkxAOD"
diff --git a/Tools/Tier0ChainTests/test/test_data18PHYS_mt.sh b/Tools/Tier0ChainTests/test/test_data18PHYS_mt.sh
new file mode 100755
index 00000000000..fb8fc3fcd57
--- /dev/null
+++ b/Tools/Tier0ChainTests/test/test_data18PHYS_mt.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# art-include: master/Athena
+# art-description: DAOD building PHYS data18
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile.txt
+# art-output: checkxAOD.txt
+# art-athena-mt: 8
+
+set -e
+
+Reco_tf.py --inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/DerivationFrameworkART/data18_13TeV.00364292.physics_Main.merge.AOD.f1002_m2037._lb0163._0006.1 --outputDAODFile art.pool.root --reductionConf PHYS --maxEvents -1 --multithreaded="True" --preExec 'rec.doApplyAODFix.set_Value_and_Lock(True); from BTagging.BTaggingFlags import BTaggingFlags;BTaggingFlags.CalibrationTag = "BTagCalibRUN12Onl-08-49"; from AthenaCommon.AlgSequence import AlgSequence; topSequence = AlgSequence(); topSequence += CfgMgr.xAODMaker__DynVarFixerAlg( "InDetTrackParticlesFixer", Containers = [ "InDetTrackParticlesAux." ] )' 
+
+echo "art-result: $? reco"
+
+DAODMerge_tf.py --inputDAOD_PHYSFile DAOD_PHYS.art.pool.root --outputDAOD_PHYS_MRGFile art_merged.pool.root
+
+echo "art-result: $? merge"
+
+checkFile.py DAOD_PHYS.art.pool.root > checkFile.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_PHYS.art.pool.root > checkxAOD.txt
+
+echo "art-result: $?  checkxAOD"
diff --git a/Tools/Tier0ChainTests/test/test_mc16PHYSLITE_mt.sh b/Tools/Tier0ChainTests/test/test_mc16PHYSLITE_mt.sh
new file mode 100755
index 00000000000..b3457089aab
--- /dev/null
+++ b/Tools/Tier0ChainTests/test/test_mc16PHYSLITE_mt.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# art-include: master/Athena
+# art-description: DAOD building PHYSLITE mc16
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile.txt
+# art-output: checkxAOD.txt
+# art-athena-mt: 8
+
+set -e
+
+Reco_tf.py --inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/DerivationFrameworkART/AOD.14795494._005958.pool.root.1 --outputDAODFile art.pool.root --reductionConf PHYSLITE --maxEvents -1 --multithreaded="True" --preExec 'rec.doApplyAODFix.set_Value_and_Lock(True);from BTagging.BTaggingFlags import BTaggingFlags;BTaggingFlags.CalibrationTag = "BTagCalibRUN12-08-49" ' 
+
+echo "art-result: $? reco"
+
+DAODMerge_tf.py --inputDAOD_PHYSLITEFile DAOD_PHYSLITE.art.pool.root --outputDAOD_PHYSLITE_MRGFile art_merged.pool.root
+
+echo "art-result: $? merge"
+
+checkFile.py DAOD_PHYSLITE.art.pool.root > checkFile.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_PHYSLITE.art.pool.root > checkxAOD.txt
+
+echo "art-result: $?  checkxAOD"
diff --git a/Tools/Tier0ChainTests/test/test_mc16PHYSVAL_mt.sh b/Tools/Tier0ChainTests/test/test_mc16PHYSVAL_mt.sh
new file mode 100755
index 00000000000..371140a75be
--- /dev/null
+++ b/Tools/Tier0ChainTests/test/test_mc16PHYSVAL_mt.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# art-include: master/Athena
+# art-description: DAOD building PHYSVAL mc16
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile.txt
+# art-output: checkxAOD.txt
+# art-athena-mt: 8
+
+set -e
+
+Reco_tf.py --inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/DerivationFrameworkART/AOD.14795494._005958.pool.root.1 --outputDAODFile art.pool.root --reductionConf PHYSVAL --maxEvents -1 --multithreaded="True" --preExec 'rec.doApplyAODFix.set_Value_and_Lock(True);from BTagging.BTaggingFlags import BTaggingFlags;BTaggingFlags.CalibrationTag = "BTagCalibRUN12-08-49" ' 
+
+echo "art-result: $? reco"
+
+DAODMerge_tf.py --inputDAOD_PHYSVALFile DAOD_PHYSVAL.art.pool.root --outputDAOD_PHYSVAL_MRGFile art_merged.pool.root
+
+echo "art-result: $? merge"
+
+checkFile.py DAOD_PHYSVAL.art.pool.root > checkFile.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_PHYSVAL.art.pool.root > checkxAOD.txt
+
+echo "art-result: $?  checkxAOD"
diff --git a/Tools/Tier0ChainTests/test/test_mc16PHYS_mt.sh b/Tools/Tier0ChainTests/test/test_mc16PHYS_mt.sh
new file mode 100755
index 00000000000..7693a15a098
--- /dev/null
+++ b/Tools/Tier0ChainTests/test/test_mc16PHYS_mt.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# art-include: master/Athena
+# art-description: DAOD building PHYS mc16
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile.txt
+# art-output: checkxAOD.txt
+# art-athena-mt: 8
+
+set -e
+
+Reco_tf.py --inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/DerivationFrameworkART/AOD.14795494._005958.pool.root.1 --outputDAODFile art.pool.root --reductionConf PHYS --maxEvents -1 --multithreaded="True" --preExec 'rec.doApplyAODFix.set_Value_and_Lock(True);from BTagging.BTaggingFlags import BTaggingFlags;BTaggingFlags.CalibrationTag = "BTagCalibRUN12-08-49" ' 
+
+echo "art-result: $? reco"
+
+DAODMerge_tf.py --inputDAOD_PHYSFile DAOD_PHYS.art.pool.root --outputDAOD_PHYS_MRGFile art_merged.pool.root
+
+echo "art-result: $? merge"
+
+checkFile.py DAOD_PHYS.art.pool.root > checkFile.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_PHYS.art.pool.root > checkxAOD.txt
+
+echo "art-result: $?  checkxAOD"
-- 
GitLab